import { registerExtension } from 'vscode/extensions';

var manifest = {name:"microsoft-authentication",publisher:"vscode",license:"MIT",displayName:"%displayName%",description:"%description%",version:"0.0.1",engines:{vscode:"^1.42.0"},icon:"media/icon.png",categories:["Other"],activationEvents:[],enabledApiProposals:["idToken","nativeWindowHandle"],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},extensionKind:["ui","workspace"],contributes:{authentication:[{label:"Microsoft",id:"microsoft"},{label:"Microsoft Sovereign Cloud",id:"microsoft-sovereign-cloud"}],configuration:[{title:"Microsoft Sovereign Cloud",properties:{"microsoft-sovereign-cloud.environment":{type:"string",markdownDescription:"%microsoft-sovereign-cloud.environment.description%","enum":["ChinaCloud","USGovernment","custom"],enumDescriptions:["%microsoft-sovereign-cloud.environment.enumDescriptions.AzureChinaCloud%","%microsoft-sovereign-cloud.environment.enumDescriptions.AzureUSGovernment%","%microsoft-sovereign-cloud.environment.enumDescriptions.custom%"]},"microsoft-sovereign-cloud.customEnvironment":{type:"object",additionalProperties:true,markdownDescription:"%microsoft-sovereign-cloud.customEnvironment.description%",properties:{name:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.name.description%"},portalUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.portalUrl.description%"},managementEndpointUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.managementEndpointUrl.description%"},resourceManagerEndpointUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.resourceManagerEndpointUrl.description%"},activeDirectoryEndpointUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.activeDirectoryEndpointUrl.description%"},activeDirectoryResourceId:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.activeDirectoryResourceId.description%"}},required:["name","portalUrl","managementEndpointUrl","resourceManagerEndpointUrl","activeDirectoryEndpointUrl","activeDirectoryResourceId"]}}},{title:"Microsoft",properties:{"microsoft-authentication.implementation":{type:"string","default":"classic","enum":["msal","classic"],enumDescriptions:["%microsoft-authentication.implementation.enumDescriptions.msal%","%microsoft-authentication.implementation.enumDescriptions.classic%"],description:"%microsoft-authentication.implementation.description%",tags:["onExP","preview"]}}}]},aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",main:undefined,browser:"./dist/browser/extension.js",repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), {"mimeType":"text/markdown","size":776});
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":212104});
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":212104});
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), {"mimeType":"application/json","size":1542291});
registerFileUrl('media/auth.css', new URL('./resources/auth.css.txt', import.meta.url).toString(), {"mimeType":"text/css","size":22639});
registerFileUrl('media/favicon.ico', new URL('./resources/favicon.ico', import.meta.url).toString(), {"mimeType":"image/vnd.microsoft.icon","size":34494});
registerFileUrl('media/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), {"mimeType":"image/png","size":3818});
registerFileUrl('media/index.html', new URL('./resources/index.html', import.meta.url).toString(), {"mimeType":"text/html","size":967});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":2813});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":2509});

export { whenReady };
